#pragma once



#define TID_BANNER_ROLLING			0x1000
#define BANNER_ROLLING_INTERVAL	10000

class MainFrame;



class CInfoBannerController 
{

public:
	CInfoBannerController();
	virtual ~CInfoBannerController();

	void SetBannerList(const std::vector<NE_BANNER_DATA> &vecBannerList);
	static UINT ThreadDownloadBannerImage(LPVOID pParam);


protected:
	NE_BANNER_DATA GetBannerData(unsigned long nRollingCount);
	CString GetBannerFilePath(unsigned long nRollingCount);
	bool DrawBanner(unsigned long nRollingCount);
	bool IsAvailableBanner(const NE_BANNER_DATA &banner);

	unsigned long m_nRollingCount;
	unsigned long m_nCurBannerSeq;
	CachedBitmap *m_pCachedBitmap;
	Size m_sizeBannerImage;
    HCURSOR m_hLinkCursor;
	std::map<int, NE_BANNER_DATA> m_mapBannerList;
	MainFrame* m_pFrame;

public:
	 void OnTimer(UINT_PTR nIDEvent);
	 void OnMouseMove(UINT nFlags, CPoint point);
	 void OnMouseLeave();
	 void OnLButtonDown();
	 void SetAttachWnd(MainFrame* pFrm){m_pFrame = pFrm;};
};


